uint32_t MOVE_PERIOD = 300;
unsigned long time_start_move = 0;
#define MOVSPEED0 300
#define MOVSPEED1 400
#define MOVSPEED2 500
#define MOVSPEED3 600
#define MOVSPEED4 700
#define MOVSPEED5 800
#define MOVSPEED6 900
#define MOVSPEED7 1000
#define MOVSPEED8 1200
#define MOVSPEED9 1400
#define MOVSPEED10 1600
int32_t ASPEED = 1100;

bool TST_BT()
{
  if (SerialBT.available())return true;
  else return false;
}

bool BT_input()
{
  static char bt_input;
  if (SerialBT.available())
  {
    bt_input = (char)SerialBT.read();
  }
  else
  {
    if(time_start_move < millis())
    {
      CommandSpeed = 0; //Обнуляем скорость управляемого движения.
      Turn = 0;
    }
    return false;
  }
  time_start_move = millis() + MOVE_PERIOD;

  //=====================

  switch (bt_input)
  {
    case 'S': // вперед
      CommandSpeed = 0; //Обнуляем скорость управляемого движения.
      Turn = 0;
      break;
    case 'F': // вперед
      Turn = 0;
      CommandSpeed = ASPEED;
//      forward_robot_pix();
//      not_turn_robot_pix();
      break;
    case 'B': //назад
      CommandSpeed = -ASPEED;
      Turn = 0;
//      backward_robot_pix();
//      not_turn_robot_pix();
      break;
    case 'L':  //Влево на месте
      Turn = -ASPEED / 2;
      CommandSpeed = 0; //Обнуляем скорость управляемого движения.
//      to_left_robot_pix();
//      not_forward_robot_pix();
      break;
    case 'R':  //Вправо на месте
      Turn = ASPEED / 2;
      CommandSpeed = 0; //Обнуляем скорость управляемого движения.
//      to_right_robot_pix();
//      not_forward_robot_pix();
      break;
    case 'G':  // Влево вперед
      CommandSpeed = ASPEED; //Обнуляем скорость управляемого движения.
      Turn = -ASPEED / 2;
//      forward_robot_pix();
//      to_left_robot_pix();
      break;
    case 'I':  //Вправо вперед
      CommandSpeed = ASPEED; //Обнуляем скорость управляемого движения.
      Turn = ASPEED / 2;
//      forward_robot_pix();
//      to_right_robot_pix();
      break;
    case 'H':  //Вправо
       break;
    case 'J':  //Влево
      break;
    case '0':
      ASPEED = MOVSPEED0;
      break;
    // Скорость 10%
    case '1':
      ASPEED = MOVSPEED1;
      break;
    // Скорость 20%
    case '2':
      ASPEED = MOVSPEED2;
      break;
    // Скорость 30%
    case '3':
      ASPEED = MOVSPEED3;
      break;
    // Скорость 40%
    case '4':
      ASPEED = MOVSPEED4;
      break;
    // Скорость 50%
    case '5':
      ASPEED = MOVSPEED5;
      break;
    // Скорость 60%
    case '6':
      ASPEED = MOVSPEED6;
      break;
    // Скорость 70%
    case '7':
      ASPEED = MOVSPEED7;
      break;
    case '8':
      // Скорость 80%
      ASPEED = MOVSPEED8;
      break;
    // Скорость 90%
    case '9':
      ASPEED = MOVSPEED9;
      break;
    // Скорость 100%
    case 'q':
      ASPEED = MOVSPEED10;
      break;
    case 'V':
      break;
    case 'v':
      break;
    case 'X':
      break;
    case 'x':
      break;
    default:
      break;
  }

}
