#include "Adafruit_Sensor.h"
#include "Adafruit_BNO055.h"
#include "imumaths.h"


#define ID1   1 // Правый верхний
#define ID2   2 //Правый нижний
#define ID3   3 // Левый верхний
#define ID4   4 //Левый нижний


imu::Vector<3> Gyro;
imu::Vector<3> Axel;
imu::Vector<3> Axel_Gravity;
imu::Vector<3> Axel_Line;
sensors_event_t event;

float alfa = 0.001;

//Переменные управления интервалами опроса гироприбора и интервалами управления
unsigned long dt;
unsigned long t0;
unsigned long t2;
unsigned long liamda_time;

double AcYsum, GyXsum0;
double Korrector = 0;
double speed_tec = 0; //Текущая скорость
// Длина окружности колеса 25см, 250мм
// Количество шагов на оборот - 200 (360/1.8)
// Количество микрошагов - 200*4 = 800 на оборот
// Количество срабатываний таймера для борота -3200 (1600*2) , так как шаг состоит из импульса, а импульс формируется за два такта
//==============================================================================
// Расстояние от оси колеса до гироприбора 225мм - потребуется для расчета пройденного до выпрямления расстояния
//==============================================================================


// Следует учесть, что чем ниже центр масс робота тем меньше момент инерции, тем быстрее нужно компенсировать наклон
// В то время, как чем выше центр масс тем дальше расстояние, которое нужно пройти роботу, чтобы компенсировать угол наклона...


double Speed = 0;
double max_dSpeed = 60; //Максимальное изменение скорости/секунду (шагов в секунду)
double  maxSpeed = 3000; //Шагов в секунду
double Move = 0; //Пройденный путь.
double OldSpeed=0;
double OldGyro = 0;
double OldAcYsum = 0;
double AcYsumOld = 0;

double Kp, Kd, Ki; //Коэффициенты

int64_t t_period;
double CommandSpeed = 0; //Скорость управляемого движения.
double OldCommandSpeed = 0; //Скорость управляемого движения из предыдущего опроса
double Turn = 0; //Поворот.
double TurnOld = 0; // Поворот из прошлой итерации.
double  SpeedR = 0;
double  SpeedL = 0;
double dSpeed =0; //Ускорение на робота
double dSpeedL =0; //Ускорение на колесо
double dSpeedR =0; //Ускорение на колесо

double MoveStab=0;
volatile int32_t counter_stepL; //Счетчик шагов левого мотора
volatile int32_t counter_stepR; //Счетчик шагов правого мотора
bool flag_crash = true;
bool flag_time_standup = true;// Флаг того, что робот встает.
int64_t time_standup = 0; // Время на подъем робота
double XSpeed =0;//Реальная скорость по шагам в моторах
double XSpeedL =0;//Реальная скорость по шагам в моторах
double XSpeedR =0;//Реальная скорость по шагам в моторах
double  OldXSpeed=0;//Реальная скорость по шагам в моторах
double  OldXSpeedL=0;//Реальная скорость по шагам в моторах
double  OldXSpeedR=0;//Реальная скорость по шагам в моторах
  //Нужно его использовать
  int32_t XL, XR; //Счетчик тактов на колесо в текущей итерации
 

bool flag_to_off_robot  = false; //Флаг выключения робота
int64_t time_to_off_robot=0;//Время наприсадку робота
